Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.beans
Class Folder

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.beans.Folder

All Implemented Interfaces:
  java.lang.Comparable, XMLSerializable

Direct Known Subclasses:
  FolderTree

public class Folder
extends java.lang.Object
implements java.lang.Comparable, XMLSerializable

Folder
Classe définissant le comportement d'un dossier
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.4 $
Author:
  Mathieu Larchet

Constructor Summary
`Folder()` Constructeur

Method Summary
`int` | `compareTo(java.lang.Object o)` Compare deux dossiers suivant leur nom Implements Comparable interface
`java.lang.String` | `getDate()` Retourne la date
`java.lang.String` | `getId()` Retourne l'identifiant
`java.lang.String` | `getIntranet()` Retourne l'intranet
`java.lang.String` | `getName()` Retourne le nom
`int` | `getOrder()` Retourne l'ordre
`java.lang.String` | `getParentid()` Retourne le parent
`void` | `setDate(java.lang.String date)` Positionne la date
`void` | `setId(java.lang.String id)` Positionne l'identifiant
`void` | `setIntranet(java.lang.String intranet)` Positionne l'intranet
`void` | `setName(java.lang.String name)` Positionne le nom
`void` | `setOrder(int order)` Positionne l'ordre
`void` | `setParentid(java.lang.String parentid)` Positionne le parent
`java.lang.String` | `toXMLString()` La représentation XML de cet objet Implements XMLSerializable interface

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Folder

    public Folder()

  Constructeur

Method Detail

### getId

    public java.lang.String getId()

  Retourne l'identifiant

  Returns:
    id L'identifiant

### setId

    public void setId(java.lang.String id)

  Positionne l'identifiant

  Parameters:
    `id` - L'identifiant

### getIntranet

    public java.lang.String getIntranet()

  Retourne l'intranet

  Returns:
    intranet L'intranet

### setIntranet

    public void setIntranet(java.lang.String intranet)

  Positionne l'intranet

  Parameters:
    `intranet` - L'intranet

### getName

    public java.lang.String getName()

  Retourne le nom

  Returns:
    name Le nom

### setName

    public void setName(java.lang.String name)

  Positionne le nom

  Parameters:
    `name` - Le nom

### getOrder

    public int getOrder()

  Retourne l'ordre

  Returns:
    order L'ordre

### setOrder

    public void setOrder(int order)

  Positionne l'ordre

  Parameters:
    `order` - L'ordre

### getParentid

    public java.lang.String getParentid()

  Retourne le parent

  Returns:
    parentid Le parent

### setParentid

    public void setParentid(java.lang.String parentid)

  Positionne le parent

  Parameters:
    `parentid` - Le parent

### getDate

    public java.lang.String getDate()

  Retourne la date

  Returns:
    date La date

### setDate

    public void setDate(java.lang.String date)

  Positionne la date

  Parameters:
    `date` - La date

### compareTo

    public int compareTo(java.lang.Object o)

  Compare deux dossiers suivant leur nom Implements Comparable interface

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `o` - Objet à comparer

### toXMLString

    public java.lang.String toXMLString()

  La représentation XML de cet objet Implements XMLSerializable interface

  Specified by:
    `toXMLString` in interface `XMLSerializable`
  Returns:
    Le flux XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD